MyGUI: MyGUI::LayerItem Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
MyGUI::LayerItem Class Reference

`#include <MyGUI_LayerItem.h>`

Inheritance diagram for MyGUI::LayerItem:
[legend]

## Public Member Functions
| LayerItem ()
ILayer * | getLayer () const
ILayerNode * | getLayerNode () const
void | attachItemToNode (ILayer *_layer, ILayerNode *_node) override
void | detachFromLayer () override
void | upLayerItem () override
void | setRenderItemTexture (ITexture *_texture)
void | addChildItem (LayerItem *_item)
void | removeChildItem (LayerItem *_item)
void | addChildNode (LayerItem *_item)
void | removeChildNode (LayerItem *_item)
void | addRenderItem (ISubWidget *_item)
void | removeAllRenderItems ()
void | saveLayerItem ()
void | restoreLayerItem ()
Public Member Functions inherited from MyGUI::ILayerItem
virtual | ~ILayerItem ()
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const =0
virtual const IntCoord & | getLayerItemCoord () const =0
virtual void | resizeLayerItemView (const IntSize &_oldView, const IntSize &_newView)=0

## Protected Member Functions
void | attachToLayerItemNode (ILayerNode *_node, bool _deep)
void | detachFromLayerItemNode (bool _deep)

## Detailed Description

Definition at line 20 of file MyGUI_LayerItem.h.

## Constructor & Destructor Documentation

## ◆ LayerItem()

MyGUI::LayerItem::LayerItem | ( |  | ) |

Definition at line 14 of file MyGUI_LayerItem.cpp.

## Member Function Documentation

## ◆ addChildItem()

void MyGUI::LayerItem::addChildItem | ( | LayerItem * | _item | ) |

Definition at line 22 of file MyGUI_LayerItem.cpp.

## ◆ addChildNode()

void MyGUI::LayerItem::addChildNode | ( | LayerItem * | _item | ) |

Definition at line 38 of file MyGUI_LayerItem.cpp.

## ◆ addRenderItem()

void MyGUI::LayerItem::addRenderItem | ( | ISubWidget * | _item | ) |

Definition at line 56 of file MyGUI_LayerItem.cpp.

## ◆ attachItemToNode()

void MyGUI::LayerItem::attachItemToNode | ( | ILayer * | _layer,
|  | ILayerNode * | _node )
| overridevirtual

Implements MyGUI::ILayerItem.

Definition at line 96 of file MyGUI_LayerItem.cpp.

## ◆ attachToLayerItemNode()

void MyGUI::LayerItem::attachToLayerItemNode | ( | ILayerNode * | _node,
|  | bool | _deep )
| protected

Definition at line 138 of file MyGUI_LayerItem.cpp.

## ◆ detachFromLayer()

void MyGUI::LayerItem::detachFromLayer | ( |  | ) |
| overridevirtual

Implements MyGUI::ILayerItem.

Definition at line 104 of file MyGUI_LayerItem.cpp.

## ◆ detachFromLayerItemNode()

void MyGUI::LayerItem::detachFromLayerItemNode | ( | bool | _deep | ) |
| protected

Definition at line 166 of file MyGUI_LayerItem.cpp.

## ◆ getLayer()

ILayer * MyGUI::LayerItem::getLayer | ( |  | ) | const

Definition at line 206 of file MyGUI_LayerItem.cpp.

## ◆ getLayerNode()

ILayerNode * MyGUI::LayerItem::getLayerNode | ( |  | ) | const

Definition at line 211 of file MyGUI_LayerItem.cpp.

## ◆ removeAllRenderItems()

void MyGUI::LayerItem::removeAllRenderItems | ( |  | ) |

Definition at line 61 of file MyGUI_LayerItem.cpp.

## ◆ removeChildItem()

void MyGUI::LayerItem::removeChildItem | ( | LayerItem * | _item | ) |

Definition at line 31 of file MyGUI_LayerItem.cpp.

## ◆ removeChildNode()

void MyGUI::LayerItem::removeChildNode | ( | LayerItem * | _item | ) |

Definition at line 49 of file MyGUI_LayerItem.cpp.

## ◆ restoreLayerItem()

void MyGUI::LayerItem::restoreLayerItem | ( |  | ) |

Definition at line 87 of file MyGUI_LayerItem.cpp.

## ◆ saveLayerItem()

void MyGUI::LayerItem::saveLayerItem | ( |  | ) |

Definition at line 82 of file MyGUI_LayerItem.cpp.

## ◆ setRenderItemTexture()

void MyGUI::LayerItem::setRenderItemTexture | ( | ITexture * | _texture | ) |

Definition at line 67 of file MyGUI_LayerItem.cpp.

## ◆ upLayerItem()

void MyGUI::LayerItem::upLayerItem | ( |  | ) |
| overridevirtual

Implements MyGUI::ILayerItem.

Definition at line 128 of file MyGUI_LayerItem.cpp.

The documentation for this class was generated from the following files:

- MyGUI_LayerItem.h
- MyGUI_LayerItem.cpp